Una vez más el Error 429, alguien sabrá la solución???

Ronald Infante
11 de Enero del 2005
Estoy desarrollando una aplicación con Vb6+mysql5. Instalé el sistema en la maquina de mi cliente y funcionó, al desinstalarlo, el uninstaller borró algunos componentes del mdac 2.8 y ahora que trato de instalarlo de nuevo no puedo porque el sp2 de winxp me prohibe instalar el mdac 2.8 ya que es una aplicación que viene por defecto en el sp2, que hago??? Nadie sabe!

El error que me aparece es el siguiente:

Error 429 en tiempo de ejecución: El componente Activex no puede crear el objeto

Lo unico que creo en mi sistema son los recordsets y la conexión, no tengo ningun create objetc

Miren esto, lo he recopilado de varios foros...

1) “Ha todo aquel que instaló las MDAC 2.8 o el Service Pack 2 de Windows XP mi más sentido pésame. Los controles ActiveX los han cambiado tanto que NO SON COMPATIBLES con las MDAC 2.7. Otra GRAN CAGADA de Microsoft. ¿Como se arregla? Pues aún trato de averiguarlo. Si alguien lo averigua, por favor que me mande un e-mail. Gracias.”

2) “Amigo Rómulo Torres Campos, el SP8 ya lo he instalado y eso sigue sin funcionar. Tengo mi aplicación en varios clientes, de los cuales, en la mayoría, ya he tenido que FORMATEAR la máquina por la imposibilidad de trabajar con mi aplicación. Créeme cuando te digo que es preferible formatear que cambiar el código fuente de la aplicación.
Si esto sigue así tendré que cambiar el fuente pero ya podría Microsoft proporcionar la solución a tal desastre.”

3) “·Realmente la unica solucion que yo encontre fue formatear e instalar todo nuevamente en la maquina.”


De verdad me gustaria saber la opinión de los programadores de este foro, ya que la solucion de formatear no me sirve, estoy en venezuela y mi cliente está en una agencia de viajes en Estados Unidos, y no pueden formatear el equipo.


Esto es lo ultimo que he averiguado, me falta probarlo a ver si resulta, cualquier cosa les informaré...

VB5cli.exe installs the Vbcmpfix.exe utility, which fixes problems with the
following three symptoms:
Symptom III
When trying to run your project, you receive the following error:
Runtime Error '429' : ActiveX Component Can't Create Object

Comment: “I have downloaded VB5cli.exe and hopefully that will do the job.”

mvallejos
11 de Enero del 2005
Lo primero que deberías analizar es si realmente necesitas la versión 2.8 de ADO, es decir, si utilizas el Objeto Record o Stream, porque sino, puedes probar con versiones más antiguas de ADO.
Es solo una sugerencia.

Saludos

Ronald Infante
11 de Enero del 2005
Pero segun lei en otro foro que el winxp sp2 no permite compatibilidad de las versiones anteriores a 2.8... que crees?

mvallejos
11 de Enero del 2005
Eso no lo sabía, pero de todos modos con probar... a lo sumo te dice que no se puede instalar y no ha pasado nada.